Bug 19850 - Wrong ETHERTYPE value for 802.1Q frame
Summary: Wrong ETHERTYPE value for 802.1Q frame
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tcpdump   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-26 10:34 UTC by matti aarnio
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-28 15:42:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description matti aarnio 2000-10-26 10:34:16 UTC
The tcpdump has wrong ETHERTYPE value (0x8001) #defined for
802.1q frame.  Correct one is  0x8100.

Comment 1 Pekka Savola 2000-10-28 15:42:51 UTC
Yes.  A trivial fix for ethertype.h.  This is how it is in tcpdump.org tcpdump too.


Comment 2 Jeff Johnson 2000-11-02 13:15:27 UTC
Fixed in tcpdump-3.4-32.


Note You need to log in before you can comment on or make changes to this bug.